import {Str, Uid} from "pinia-orm/dist/decorators";
import ApiResource from "~/models/ApiResource";

/**
 * @see https://gitlab.2iopenservice.com/opentalent/ap2i/-/blob/develop/src/ApiResources/Access/AdminAccess.php
 */
export default class AdminAccess extends ApiResource {
  static entity = 'admin'

  @Uid()
  declare id: number

  @Str(null)
  declare username: string|null

  @Str(null)
  declare email: string|null
}
